﻿namespace Hotline.Share.Mq
{
    public class EventNames
    {
        /// <summary>
        /// 呼叫中心.黑名单电话过期
        /// </summary>
        public const string CallCenterBlackListExpired = "callcenter.blacklist.expired";

        #region 下行（省上向市州推送）
        /// <summary>
        /// 服务工单交办
        /// </summary>
        public const string HotlineOrderReceiveCaseInfo = "hotline.order.ReceiveCaseInfo";

        /// <summary>
        /// 服务工单退回反馈
        /// </summary>
        public const string HotlineOrderGetCaseBackResult = "hotline.order.GetCaseBackResult";

        /// <summary>
        /// 服务工单延时审核结果
        /// </summary>
        public const string HotlineOrderDelayCaseResultReceive = "hotline.order.DelayCaseResultReceive";

        /// <summary>
        /// 服务工单交办补充诉求
        /// </summary>
        public const string HotlineOrderSupplyCaseInfoReceive = "hotline.order.SupplyCaseInfoReceive";

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        public const string HotlineOrderRevokeCaseInfo = "hotline.order.RevokeCaseInfo";

        /// <summary>
        /// 服务工单催单
        /// </summary>
        public const string HotlineOrderRemindCaseInfo = "hotline.order.RemindCaseInfo";

        /// <summary>
        /// 服务工单预警
        /// </summary>
        public const string HotlineOrderSendWarnInfo = "hotline.order.SendWarnInfo";

        /// <summary>
        /// 督办工单派发
        /// </summary>
        public const string HotlineOrderSendSuperviseInfo = "hotline.order.SendSuperviseInfo";

        /// <summary>
        /// 服务工单甄别结果
        /// </summary>
        public const string HotlineOrderScreenCaseResultReceive = "hotline.order.ScreenCaseResultReceive";

        /// <summary>
        /// 交办工单满意度接收
        /// </summary>
        public const string HotlineOrderSendCaseEvlResult = "hotline.order.SendCaseEvlResult";

        /// <summary>
        /// 上报工单处理结果/退回
        /// </summary>
        public const string HotlineOrderGetCaseReultSend = "hotline.order.GetCaseReultSend";

        /// <summary>
        /// 上报工单评价
        /// </summary>
        public const string HotlineOrderGetVisitInfoSend = "hotline.order.GetVisitInfoSend";
        #endregion

        #region 上行（市州向省上推送）
        #region 协同-第一批次

        /// <summary>
        /// 服务工单交办处理
        /// </summary>
        public const string HotlineOrderGetCaseResultReceive = "hotline.order.GetCaseResultReceive";

        /// <summary>
        /// 服务工单交办处理过程
        /// </summary>
        public const string HotlineOrderGetCaseProcessReceive = "hotline.order.GetCaseProcessReceive";

        /// <summary>
        /// 服务工单交办评价
        /// </summary>
        public const string HotlineOrderGetVisitInfoReceive = "hotline.order.GetVisitInfoReceive";

        /// <summary>
        /// 退回申请
        /// </summary>
        public const string HotlineOrderGetCaseBackApply = "hotline.order.GetCaseBackApply";

        /// <summary>
        /// 服务工单申请延时
        /// </summary>
        public const string HotlineOrderDelayCaseInfoSend = "hotline.order.DelayCaseInfoSend";

        /// <summary>
        /// 服务工单督办过程
        /// </summary>
        public const string HotlineOrderSendSuperviseProcessInfo = "hotline.order.SendSuperviseProcessInfo";
        
        /// <summary>
        /// 服务工单督办结果
        /// </summary>
        public const string HotlineOrderSendSuperviseResultInfo = "hotline.order.SendSuperviseResultInfo";
       
        #endregion

        #region 汇聚-第二批次
        /// <summary>
        /// 热线工单创建成功
        /// </summary>
        public const string HotlineOrderCreated = "hotline.order.created";

        /// <summary>
        /// 服务工单处理结果
        /// </summary>
        public const string HotlineOrderSubmitCaseResult = "hotline.order.SubmitCaseResult";

        /// <summary>
        /// 服务工单处理结果
        /// </summary>
        public const string HotlineOrderSubmitCaseProcess = "hotline.order.SubmitCaseProcess ";

        /// <summary>
        /// 服务工单回访评价
        /// </summary>
        public const string HotlineOrderSubmitVisitInfo = "hotline.order.SubmitVisitInfo";

        /// <summary>
        /// 电话记录
        /// </summary>
        public const string HotlineOrderSubmitCaseRecord = "hotline.order.SubmitCaseRecord";

        /// <summary>
        /// 统计数据
        /// </summary>
        public const string HotlineOrderSubmitCaseTotal = "hotline.order.SubmitCaseTotal";  
        #endregion
        #endregion

    }
}
